<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="filter-wrap-outer">
                        <div class="shadow-box">
                            <div class="form-box">
                                <!-- <div class="filter-head" [ngClass]=" isSlider ? 'open' :''"
                              (click)="toggleCollapsibleDiv()">
                              <h5>Filter</h5> <i><img src="assets/images/down-arw-rounded.png" alt=""></i> -->
                                <form [formGroup]="addJobRolesForm">
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-4"><label>Industry</label></div>
                                            <div class="col-8">
                                                <select class="form-control select-box" formControlName="industry"
                                                    (change)="selectJobIndustry($event.target.value)">
                                                    <option value="" disabled> Select Industry</option>
                                                    <option value="{{industry.industryId}}"
                                                        *ngFor="let industry of industryList ">
                                                        {{industry.industryName}}</option>
                                                </select>

                                                <!-- Error Messages -->
                                                <span class="t-red" *ngFor="let validation of errors.industry">
                                                    <span
                                                        *ngIf="addJobRolesForm.get('industry').hasError(validation.type) && (addJobRolesForm.get('industry').dirty || addJobRolesForm.get('industry').touched)">
                                                        {{validation.message}}
                                                    </span>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-4"><label>Select Job roles</label></div>
                                            <div class="col-8">
                                                <ng-select formControlName="jobRole" [items]="jobRoleList"
                                                    [multiple]="true" [closeOnSelect]="false" [searchable]="false"
                                                    bindLabel="jobRoleName" placeholder=" Select Job Role"
                                                    dropdownPosition="bottom" (change)="selectedJobRoles()">
                                                </ng-select>

                                                <!-- Error Messages -->
                                                <span class="t-red" *ngFor="let validation of errors.jobRole">
                                                    <span
                                                        *ngIf="addJobRolesForm.get('jobRole').hasError(validation.type) && (addJobRolesForm.get('jobRole').dirty || addJobRolesForm.get('jobRole').touched)">
                                                        {{validation.message}}
                                                    </span>
                                                </span>

                                            </div>
                                        </div>
                                    </div>


                                    <!-- <div class="fltr-skls" *ngIf="skillss?.length">
                                        <h5>Skills</h5>
                                        <ul>
                                            <li *ngFor="let skill of skillss;let i = index"><label>
                                                <input type="checkbox" name=a{{i}} formControlName="skill" (change)="onCheckSkill($event.target.checked,skill.skillName,skill.skillId)">
                                                    {{skill.skillName}}</label>
                                            </li>
                                        </ul>
                                    </div> -->
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-4"><label *ngIf="skillsList.length !=0">Skill</label></div>
                                            <div class="col-8">
                                                <form [formGroup]="addSkillsForm">
                                                    <div *ngFor=" let skill of skillsList;  let roleIndex = index"
                                                        class="row">
                                                        <label class="col-12" style=" margin-bottom: 5px;"> {{
                                                            skill.jobRoleName }} </label>
                                                        <!-- <div class="col-12">
                                                        <ul style=" margin-bottom: 20px" >
                                                            <li formArrayName="skillDetails"
                                                                *ngFor=" let detail of skill.skillDetails; let skillIndex = index">
                                                                
                                                                    <input type="checkbox" value="{{detail.skillId}}" [checked]="detail.isSelected" (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName, skill.industryId,roleIndex,skillIndex)">
                                                                    {{detail.skillName}}
                                                               
                                                            </li>
                                                        </ul>
                                                    </div> -->
                                                        <div class="col-12"
                                                            style=" margin-bottom: 20px; list-style-type: none;">

                                                            <span formArrayName="skillDetails"
                                                                *ngFor=" let detail of skill.skillDetails; let skillIndex = index">
                                                                <span *ngIf="skillIndex>0">, </span>
                                                                <span>
                                                                    <input type="checkbox" value="{{detail.skillId}}"
                                                                        [checked]="detail.isSelected"
                                                                        (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName, skill.industryId,roleIndex,skillIndex)">
                                                                    {{detail.skillName}}
                                                                </span>
                                                            </span>

                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group text-center btn-set">
                                        <input type="submit" (click)='resetCandidate()' value="Reset Filter" class="btn"
                                            [disabled]='selectedRoles.length==0'>

                                        <input type="submit" (click)='getCandidate()' value="Apply Filter" class="btn"
                                            [disabled]='selectedRoles.length==0'>
                                    </div>
                                </form>
                                <!-- </div> -->

                            </div>
                        </div>
                    </div>


                    <div *ngIf="candidates">
                        <div class="shadow-box prof-lst" *ngFor="let candidate of candidates; let i = index">
                            <h4>
                                <div class="pof-ttl-img"><span class="avatar"><img
                                            [src]="candidate.profilePic?candidate.profilePic:'assets/images/avatar2.png'"
                                            alt=""></span>{{candidate.fname}} {{candidate.lname}}
                                    <span class="fav">
                                        <a href="javascript:void(0);" (click)="removeFromFav(candidate.candidateId)"
                                            *ngIf="candidate.isFavourite" style="color: #ad00ba;"><i
                                                class="fas fa-thumbs-up" aria-hidden="true"></i></a>
                                        <a href="javascript:void(0);" (click)="saveAsFav(candidate.candidateId)"
                                            *ngIf="!candidate.isFavourite" style="color: #ad00ba;"><i
                                                class="far fa-thumbs-up" aria-hidden="true"></i></a>
                                    </span>
                                </div>
                                <!-- <span *ngIf="!candidate.isOffered && !candidate.isSentInvitation"><input type="checkbox" name="candidate{{i}}"></span> -->
                                <!-- <span *ngIf="candidate.isOffered" class="badge badge-success">Offered</span>
                                <span *ngIf="candidate.isSentInvitation" class="badge badge-success">Invited</span> -->
                            </h4>
                            <!-- <p class="address-prof"><img src="assets/images/location-red.png">
                                </p> -->
                            <!-- <p class="loc-status avl">Available</p> -->
                            <p class="address-prof"><img src="assets/images/location-red.png"
                                    style="margin-bottom: 5px"> {{candidate.geolocation.locationName}}</p>
                            <!-- <p class="prof-skl"><strong>Job Roles: </strong> <span
                                    *ngFor="let role of candidate.payloadSkill; let i=index">
                                    <span *ngIf="i>0">, </span>
                                    {{role.jobRoleName}}
                                </span>
                            </p>
                            <p class="prof-skl"><strong>Skills: </strong>
                                <span *ngFor="let skillll of candidate.skillDetails; let i =index">
                                    <span *ngIf="i>0">, </span>
                                    {{skillll.skillName}}

                                </span>
                            </p> -->
                            <p class="prof-skl"><a href="javascript:void(0)" class="lik"
                                    (click)='postjob(candidate.candidateId)'>Past Jobs:
                                    {{candidate?.completedJobNumber}}</a></p>

                            <div class="prof-action">


                                <div class="r-star stars">
                                    <ul class="rating inline-ul">
                                        <li *ngFor="let star of stars; let i = index">
                                            <i class="fas fa-star" *ngIf="candidate.rating >= i + 0.5; else emptyStar"
                                                [ngClass]="{'fa-star-half-alt': candidate.rating >= i + 0.5 && candidate.rating < i + 1,
                                                            'fa-star': candidate.rating >= i + 1}">
                                            </i>
                                        </li>
                                        <span> ({{candidate?.rating}}) </span>
                                    </ul>
                                    <ng-template #emptyStar>
                                        <i class="far fa-star"></i>
                                    </ng-template>
                                </div>
                                <a href="javascript:void(0);"
                                    (click)="viewCandidateProfile(candidate.candidateId,candidate.rating,candidate.profilePic)"
                                    class="btn">View Profile</a>
                            </div>
                        </div>
                    </div>
                    <pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage" [(ngModel)]="pageNo"
                        [maxSize]="totalNoOfPages" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;"
                        firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true"
                        (pageChanged)="getPaginateData($event)" class="pagination-sm justify-content-center"
                        [disabled]="dataFetching" *ngIf="totalItems"></pagination>

                </div>
            </div>
        </div>
    </div>
</div>

<!-- <ng-template #informationPopUp>
    <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title">Past jobs</h4>

            <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="shadow-box" *ngFor='let candidate of pastjob'>
                <p class="prof-skl"><strong>Company Name :</strong>
                    <span>{{candidate?.companyName}}</span>
                </p>
                <p class="prof-skl"><strong>Job Role :</strong>
                    <span>{{candidate?.roleWiseAction.roleName}}</span>
                </p>

                <p class="prof-skl"><strong>Date :</strong>
                    <span>{{dateFormet(candidate?.roleWiseAction.startRealDate,candidate?.roleWiseAction.endRealDate)}}</span>

                </p>
                <div class="r-star stars">
                    <ul class="rating inline-ul">
                        <li *ngFor="let star of stars; let i = index">
                            <i class="fas fa-star" *ngIf="candidate?.rating >= i + 0.5; else emptyStar" [ngClass]="{'fa-star-half-alt': candidate?.rating >= i + 0.5 && candidate?.rating < i + 1,
                                        'fa-star': candidate?.rating >= i + 1}">
                            </i>
                        </li>
                        <span> ({{candidate.rating ? candidate.rating : 0}}) </span>
                    </ul>
                    <ng-template #emptyStar>
                        <i class="far fa-star"></i>
                    </ng-template>
                </div>
            </div>

        </div>
    </div>
</ng-template> -->

<ng-template #informationPopUp>
    <!-- <div class="modal fade" id="myModal">
        <div class="modal-dialog modal-dialog-centered"> -->
            <div class="modal-content">
                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Past Jobs</h4>
                    <button type="button" class="close" data-dismiss="modal" (click)="modalRef.hide()">&times;</button>
                </div>
                <!-- Modal Header -->

                <!-- Modal body -->
                <!-- <div class="modal-body"> -->
                    <div class="job-details for-modal-part">
                        <div class="single-appoinment" *ngFor='let candidate of pastjob'>
                            <div class="single-star-sec">
                                <span><i class="fas fa-user-alt"></i>{{candidate?.roleWiseAction.roleName}} -
                                    {{candidate?.companyName}}</span>
                                <div class="star-sec">
                                    <p>{{dateFormet(candidate?.roleWiseAction.startRealDate,candidate?.roleWiseAction.endRealDate)}}
                                    </p>
                                    <!-- <p>Ratings <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i></p> -->
                                    <p>Ratings <ng-container *ngFor="let star of stars; let i = index">
                                            <i class="fas fa-star" *ngIf="candidate?.rating >= i + 0.5; else emptyStar"
                                                [ngClass]="{'fa-star-half-alt': candidate?.rating >= i + 0.5 && candidate?.rating < i + 1,
                                                        'fa-star': candidate?.rating >= i + 1}">
                                            </i>
                                        </ng-container>
                                        <span> ({{candidate.rating ? candidate.rating : 0}}) </span>

                                        <ng-template #emptyStar>
                                            <i class="far fa-star"></i>
                                        </ng-template>
                                    </p>
                                </div>
                            </div>

                            <!-- <div class="single-star-sec">
                                <span><i class="fas fa-user-alt"></i> Hospitality Generel</span>
                                <div class="star-sec">
                                    <p>01.06.21 - 05.05.21</p>
                                    <p>Ratings <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i></p>
                                </div>
                            </div>

                            <div class="single-star-sec">
                                <span><i class="fas fa-user-alt"></i> Hospitality Generel</span>
                                <div class="star-sec">
                                    <p>01.06.21 - 05.05.21</p>
                                    <p>Ratings <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i> <i class="fas fa-star"></i></p>
                                </div>
                            </div> -->
                        </div>
                    </div>
                <!-- </div> -->
                <!-- Modal body -->
            </div>
        <!-- </div>
    </div> -->

</ng-template>

<!-- </div> -->